qubes-desktop-linux-manager (4.3.2-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Fri, 05 Jul 2024 19:41:26 +0200

qubes-desktop-linux-manager (4.3.2-1) unstable; urgency=medium

  [ Piotr Bartman-Szwarc ]
  * updater: unify retcodes with backend updater

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 05 Jul 2024 19:41:26 +0200

qubes-desktop-linux-manager (4.3.1-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Global Config app not closing if Help Window is Open
  * Tray Update Notifier fix for os-eol feature change
  * Uneditable column headers in policy editor
  * Monospace font for Qubes Update GUI progress details

  [ Piotr Bartman-Szwarc ]
  * updater: non-interactive updater
  * updater: unify cli options with cli updater
  * updater: return 100 if no vm was updated
  * updater: update tests
  * updater: show success dialog in non-interactive mode
  * updater: show success dialog if nothing to do
  * updater: fix selection if the intro page is skipped
  * updater: unify cli args with backend updater
  * updater: get default value of '--update-if-stale' from dom0 settings
  * updater: return 130 if user cancels updating
  * updater: make test reproducible
  * updater: set progress as 100 if update fails or was cancelled
  * updater: apply the same selection criteria to dom0
  * updater: make pylint happy
  * updater: updaate dom0 tests
  * updater: show only one confirmation to the user
  * updater: fix force updating
  * updater: make pylint happy
  * updater: test is_stale(dom0)
  * updater: test apply and update flags
  * updater: add --signal-no-updates flag

  [ Ali Mirjamali ]
  * Remove VM from obsolete_vms list if template is deleted

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 05 Jul 2024 17:37:25 +0200

qubes-desktop-linux-manager (4.3.0-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * ci: install pip
  * load_theme needs package_name for loading by name

  [ Piotr Bartman ]
  * q-dev: implement new device api
  * q-dev: fix global config
  * q-dev: update api

  [ Piotr Bartman-Szwarc ]
  * q-dev: update tests + fix

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 17 Jun 2024 15:45:33 +0200

qubes-desktop-linux-manager (4.2.23-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Actually run updater tests in CI
  * Use os-eol feature to determine end of life

  [ Piotr Bartman-Szwarc ]
  * updater: update test to be compliant with updater backend + update
    help

  [ Marta Marczykowska-Górecka ]
  * Fix registering signals in tests
  * Add tests to eol testing
  * Remove some superfluous returns to pacify pylint
  * Don't cancel updates on Esc

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 17 May 2024 13:24:58 +0200

qubes-desktop-linux-manager (4.2.22-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Add missing info to devices widget

  [ Minimalist ]
  * Fix updater startup crash

  [ Marta Marczykowska-Górecka ]
  * Remove deprecated pkg_resources and replace it with
    importlib.resources

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 14 May 2024 05:46:11 +0200

qubes-desktop-linux-manager (4.2.21-1) unstable; urgency=medium

  [ Piotr Bartman ]
  * qubes-vm-update: real-time output
  * qubes-vm-update: auto-scrolling + dom0 without salt
  * make pylint happy
  * dom0 package comparison
  * dom0 fix updating
  * make output prettier

  [ Piotr Bartman-Szwarc ]
  * make printed update info more readable

  [ Marek Marczykowski-Górecki ]
  * Make pylint happy

  [ Piotr Bartman ]
  * updater: better restarting logic
  * updater: make pylint happy
  * updater: fix parsing `--update-if-stale`
  * updater: handle nothing to do
  * updater: fix showing output

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 28 Apr 2024 04:20:56 +0200

qubes-desktop-linux-manager (4.2.20-1) unstable; urgency=medium

  * Bump required python3-qubesadmin version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 14 Apr 2024 04:40:11 +0200

qubes-desktop-linux-manager (4.2.19-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Improve "needs updateproxy" logic in global config
  * mypy pacification
  * Fix incorrect menu icon for policy editor
  * Improved qui-devices widget
  * Remove old devices widget
  * Use sequoia instead of gnu-gpg, wrap auto-cleanup in getattr
  * Unify style between attach to qube/to disposable qube
  * Fix listing changed devices

  [ Piotr Bartman ]
  * qubes-vm-update: fix updater settings

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 13 Apr 2024 22:03:37 +0200

qubes-desktop-linux-manager (4.2.18-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix minor visual bugs in global config
  * Fix undo/redo in policy manager
  * Fix broken dom0 updates repo logic in global config

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 19 Feb 2024 03:51:28 +0100

qubes-desktop-linux-manager (4.2.17-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Avoid crashing domains widget if there are icon problems

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 03 Dec 2023 03:17:28 +0100

qubes-desktop-linux-manager (4.2.16-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Warn about EOL templates in updates notification
  * Add info about obsolete templates to qubes-updater-gui
  * Remove -minimal and -xfce suffixes from template names

  [ Marek Marczykowski-Górecki ]
  * update-gui: Remove checkbox for restarting VMs on the main page

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 22 Nov 2023 15:07:49 +0100

qubes-desktop-linux-manager (4.2.15-1) unstable; urgency=medium

  * updater: always show main window, even if no updates are available

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 13 Oct 2023 01:28:15 +0200

qubes-desktop-linux-manager (4.2.14-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * More strictly check against unexpected arguments in policy

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 10 Oct 2023 00:35:59 +0200

qubes-desktop-linux-manager (4.2.13-1) unstable; urgency=medium

  [ Piotr Bartman ]
  * qubes-vm-update: add CLI options
  * qubes-vm-update: updates standalones too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 15 Sep 2023 02:00:01 +0200

qubes-desktop-linux-manager (4.2.12-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Make sure all qubes are shown in domains widget

  [ Marek Marczykowski-Górecki ]
  * Rename qrexec-policy-editor to qrexec-policy-editor-gui

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 20 Aug 2023 04:09:24 +0200

qubes-desktop-linux-manager (4.2.11-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Add Win+C/+V as copy/paste shortcuts
  * improve error reporting in updates section of config
  * Fix missing closign bracket in disk widget

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 16 Jul 2023 04:55:59 +0200

qubes-desktop-linux-manager (4.2.10-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Add missing gnome-icon-theme dependency

  [ Marta Marczykowska-Górecka ]
  * Use qrexec.client.call instead of reimplementing it
  * Add caching to qubes-global-config
  * Move USB conflicting file info box to correct place

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 07 Jul 2023 03:29:12 +0200

qubes-desktop-linux-manager (4.2.9-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix button text color in global config
  * Fix global-config to accept a system with only dom0
  * Global config: if policy files do not exist, do not create them
  * Fix what property is actually set for default_dispvm

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 02 Jul 2023 03:48:51 +0200

qubes-desktop-linux-manager (4.2.8-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix USB device handling in Global Config
  * Lazy-load available applications in new qube

  [ Piotr Bartman ]
  * qubes-vm-update: logging
  * qubes-vm-update: add update interruption tests

  [ Marek Marczykowski-Górecki ]
  * Get certification status from the YAML data

  [ Marta Marczykowska-Górecka ]
  * Fix apply in Updates tab in Global Config

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 02 Jun 2023 00:52:50 +0200

qubes-desktop-linux-manager (4.2.7-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * ci: drop R4.1

  [ Andrew David Wong ]
  * Improve language
  * Improve language
  * Improve language
  * Remove links from tooltips
  * Add IDs for new links
  * Remove IDs without links; sort by order of appearance
  * Replace unofficial links; improve language
  * Remove sentence about opening link in disposable

  [ Marek Marczykowski-Górecki ]
  * Update codecov-wrapper
  * ci: include the signing key for codecov

  [ Piotr Bartman ]
  * qubes-vm-update: fix cancellation

  [ Marta Marczykowska-Górecka ]
  * More resilient qui-disk-space widget

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 May 2023 19:15:57 +0200

qubes-desktop-linux-manager (4.2.6-1) unstable; urgency=medium

  [ Piotr Bartman ]
  * qubes-vm-update: draft
  * qubes-vm-update: parallel
  * qubes-vm-update: use features to choose vms
  * qubes-vm-update: style
  * qubes-vm-update: change never to unknown
  * qubes-vm-update: move common styles to qui/styles
  * qubes-vm-update: pylint & minor fixes
  * qubes-vm-update: more descriptive name for gradient colors
  * qubes-vm-update: idle buffer update
  * qubes-vm-update: define vm label colors in qubes-colors-*.css
  * qubes-vm-update: fix test_progress_page.py
  * qubes-vm-update: add type hints and move load_css to new style.py
  * qubes-vm-update: refactor
  * qubes-vm-update: parallel reading
  * qubes-vm-update: gracefully cancel
  * qubes-vm-update: @marmarta comments
  * qubes-vm-update: controlled shutdown
  * fix style paths
  * qubes-vm-update: pylint
  * qubes-vm-update: @marmarta comments
  * qubes-vm-update: add test for modified vms
  * qubes-vm-update: fix dialog css & parallel issues

  [ Marta Marczykowska-Górecka ]
  * Modify submenu for internal qubes in qui-domains

  [ Piotr Bartman ]
  * qubes-vm-update: restart dialog
  * qubes-vm-update: updater settings tests
  * qubes-vm-update: clicking restart sys-vms shows exception flowbox
  * qubes-vm-update: fix mocking after changing name of method + remove
    unused imports
  * qubes-vm-update: import order
  * qubes-vm-update: include all derived vms in restarting

  [ Marta Marczykowska-Górecka ]
  * Fix keyboard nav on the Updates page
  * Fix scrolling to currently-focused widget in Global Config
  * Fix discard changes on page switch in Global Config
  * Fix uncaught exception in Global Config

  [ Marek Marczykowski-Górecki ]
  * Bump required python-qubesadmin version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 27 Apr 2023 17:35:08 +0200

qubes-desktop-linux-manager (4.2.5-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Improve sizing and fix window size
  * Implement policy editor
  * Pylint update
  * Add include/ dir to policy editor
  * Add Policy editor to menu
  * Add icon + code review fixes for policy editor
  * Add readme to policy editor
  * Improve service highlighting and fix error msg
  * Fix asking for new file name in policy editor

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 02 Mar 2023 15:46:07 +0100

qubes-desktop-linux-manager (4.2.4-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix policies for Input Devices
  * pylint update
  * More tests for input devices config
  * Avoid changing dictionary we're iterating over

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 18 Feb 2023 02:55:46 +0100

qubes-desktop-linux-manager (4.2.3-1) unstable; urgency=medium

  * Use xhost instead of xdpyinfo for checking if X server is alive

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 07 Feb 2023 06:38:21 +0100

qubes-desktop-linux-manager (4.2.2-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Compatibility/security report
  * Fix usage of format/f-strings for gettext
  * Cope gracefully with errors of qvm-appmenus
  * Perform all VM operations as threads in qui-domains

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 20 Jan 2023 04:25:12 +0100

qubes-desktop-linux-manager (4.2.1-1) unstable; urgency=medium

  * Do not require qubes-mgmt-salt-dom0-update directly

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 17 Dec 2022 12:19:53 +0100

qubes-desktop-linux-manager (4.2.0-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * New Config Tool and new New Qube tool
  * Add gitlab CI integration
  * Show errors on loading policy rules
  * Add 'copy system info to global clipboard' button
  * Use --get-default-whitelist qubes-appmenus option for Create New
    Qube
  * Improve AdminVM approach: remove dom0 from most policy configs
  * Refactor ExceptionsList to a separate files
  * Change Open File/URL policy to more reasonable version
  * Improve error handling in policy config
  * Refactor raw policy handler as a separate handler
  * Remove a superfluous variable
  * Improve formatting
  * Fix updating initial value in text dropdowns
  * Add detecting changes in raw policy text

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 08 Dec 2022 23:35:50 +0100

qubes-desktop-linux-manager (4.1.15-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix set being changed during iteration
  * Fix pylint's complaints

  [ dominoomni ]
  * update updater.py with details_label checkbox v4.1
  * update updater.glide with details_label chkbx v4.1
  * update updater.glade details_label mnemonics v4.1

  [ Marta Marczykowska-Górecka ]
  * Make Qubes Update tool panes resizable

  [ Ilka Schulz ]
  * GUI: bump Glade version to "3.38.1"
  * GUI: use mnemonics

  [ Marta Marczykowska-Górecka ]
  * Fix inconsistent behavior on checkbox/row click
  * Deal with missing icons in a more flexible way
  * Handle variable copy/paste shortcut in Clipboard Widget
  * Remove boilerplate run code

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 18 Oct 2022 23:51:45 +0200

qubes-desktop-linux-manager (4.1.14-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Adjust for updated pylint

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI

  [ noskb ]
  * clipboard: Close fd properly

  [ Frédéric Pierret (fepitre) ]
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 12 May 2022 00:49:38 +0200

qubes-desktop-linux-manager (4.1.13-1) unstable; urgency=medium

  [ Rusty Bird ]
  * domains: hide Restart action for auto_cleanup DispVM
  * domains: hide Run Terminal action in paused submenu
  * domains: don't put routine actions next to dangerous actions

  [ unman ]
  * Dont error on os.makedirs if the directory already exists

  [ Marek Marczykowski-Górecki ]
  * Ignore pylint's consider-using-with
  * Refresh domains states when events connection is established

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 03 Apr 2022 05:59:28 +0200

qubes-desktop-linux-manager (4.1.12-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Fix typo: widet -> widget
  * Add missing dependency of the clipboard widget

  [ AmCrNi ]
  * Update disk_space.py
  * Update disk_space.py

  [ Marek Marczykowski-Górecki ]
  * Fix trailing space
  * Missing "fixes" tag

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 19 Feb 2022 04:12:15 +0100

qubes-desktop-linux-manager (4.1.11-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Make message about cancelling updates more understandable

  [ Marek Marczykowski-Górecki ]
  * Factor out appviewer lock to context manager
  * Guard reading clipboard source name with a lock

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 10 Dec 2021 02:42:13 +0100

qubes-desktop-linux-manager (4.1.10-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * rpm: add BR python3-setuptools

  [ Andrew David Wong ]
  * Improve language

  [ Marek Marczykowski-Górecki ]
  * Update update_translations.sh script
  * Update locale po files.

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 01 Nov 2021 10:59:49 +0100

qubes-desktop-linux-manager (4.1.9-1) unstable; urgency=medium

  * Use 'Qube' term in notifications, instead of 'Domain'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jul 2021 04:53:35 +0200

qubes-desktop-linux-manager (4.1.8-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * gitlab-ci: add pylint job
  * Rename 'notify' to 'send_notify' to not clobber GTK method

  [ Marta Marczykowska-Górecka ]
  * Added scrollbars to qubes-update-gui
  * Improve outdatedness detection in qui-domains

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

  [ 3hhh ]
  * domains: Handle removal of VM during on_shutdown.
  * Make pylint happy

  [ herypt ]
  * Add updater to XFCE settings manager

  [ Marek Marczykowski-Górecki ]
  * rpm: build for vm too
  * Fix installing locales
  * Move custom install steps into Makefile
  * Add Debian packaging
  * rpm: make dependencies CentOS friendly
  * rpm: skip qubes-mgmt-salt-dom0-update dependency in VM
  * Start widgets only in dom0 and guivm

  [ Marta Marczykowska-Górecka ]
  * Added VM restart to qui-domains

  [ Marek Marczykowski-Górecki ]
  * restart: Use coroutine to call qvm-start, report errors

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 30 May 2021 04:07:32 +0200

qubes-desktop-linux-manager (4.1.7-1) unstable; urgency=low

  * Initial release 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 20 May 2021 13:42:34 +0200
